Bug 1021969 - osad registration to a FIPS enabled Satellite generates a server traceback
osad registration to a FIPS enabled Satellite generates a server traceback
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
560
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Zázrivec
Jan Hutař
:
Depends On:
Blocks: 843620
  Show dependency treegraph
 
Reported: 2013-10-22 08:32 EDT by Milan Zázrivec
Modified: 2015-01-26 06:57 EST (History)
4 users (show)

See Also:
Fixed In Version: spacewalk-backend-2.2.11-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-26 06:57:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zázrivec 2013-10-22 08:32:00 EDT
Description of problem:
Starting osad on a client registered to a FIPS enabled Satellite 5.6
generates the following traceback on server:

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/spacewalk/server/apacheRequest.py", line 123, in call_function
    response = apply(func, params)
  File "/usr/share/rhn/server/handlers/xmlrpc/registration.py", line 1142, in register_osad
    server = self.auth_system(system_id)
  File "/usr/lib/python2.6/site-packages/spacewalk/server/rhnHandler.py", line 55, in auth_system
    server = rhnServer.get(system_id, load_user = self.load_user)
  File "/usr/lib/python2.6/site-packages/spacewalk/server/rhnServer/__init__.py", line 40, in get
    if not cert.valid():
  File "/usr/lib/python2.6/site-packages/spacewalk/server/rhnServer/server_certificate.py", line 209, in valid
    return self.__validate_checksum(secret)
  File "/usr/lib/python2.6/site-packages/spacewalk/server/rhnServer/server_certificate.py", line 184, in __validate_checksum
    csum = self.compute_checksum(secret)
  File "/usr/lib/python2.6/site-packages/spacewalk/server/rhnServer/server_certificate.py", line 124, in compute_checksum
    csum = Checksum(secret)
  File "/usr/lib/python2.6/site-packages/spacewalk/server/rhnServer/server_certificate.py", line 49, in __init__
    self.sum = hashlib.new('md5', secret)
  File "/usr/lib64/python2.6/hashlib.py", line 83, in __hash_new
    return _hashlib.new(name, string, usedforsecurity)
ValueError: error:060800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips


Version-Release number of selected component (if applicable):
Satellite 5.6

How reproducible:
Always

Steps to Reproduce:
1. Install Satellite 5.6 on a FIPS enabled RHEL system.
2. Register a client to your Satellite
3. Install & start osad on the client.

Actual results:
Above traceback.

Expected results:
osad works correctly.

Additional info:
N/A
Comment 1 Milan Zázrivec 2013-10-22 08:43:12 EDT
Same traceback occurs when running rhn-channel -l|-a|-r on the client.
Comment 2 Milan Zázrivec 2013-10-22 09:00:59 EDT
Same traceback occurs when doing yum operations on the client (install, etc).
Comment 3 Milan Zázrivec 2014-03-27 10:35:58 EDT
spacewalk.git master: 43b1647827497d04f337707f5ec85e0ab238977f
Comment 6 Pavel Studeník 2015-01-21 08:10:47 EST
Reverified with spacewalk-backend-2.3.3-23.el6sat.noarch

Used same steps as Descriptions

Note You need to log in before you can comment on or make changes to this bug.